Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 1352)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 1353)
@@ -2347,31 +2353,31 @@
              v_comp               = v(k,j,i) - v_gtrans
              swap_flux_y_local(k) = v_comp * (                                &
-                                                  ( 37.0 * ibit5 * adv_sca_5  &
-                                               +     7.0 * ibit4 * adv_sca_3  &
-                                               +           ibit3 * adv_sca_1  &
-                                                  ) *                         &
-                                           ( sk(k,j,i)  + sk(k,j-1,i)     )   &
-                                            -     (  8.0 * ibit5 * adv_sca_5  &
-                                               +           ibit4 * adv_sca_3  &
-                                                   ) *                        &
-                                           ( sk(k,j+1,i) + sk(k,j-2,i)    )   &
-                                           +      (        ibit5 * adv_sca_5  &
-                                                  ) *                         &
-                                           ( sk(k,j+2,i) + sk(k,j-3,i)    )   &
+                                             ( 37.0_wp * ibit5 * adv_sca_5    &
+                                          +     7.0_wp * ibit4 * adv_sca_3    &
+                                          +              ibit3 * adv_sca_1    &
+                                             ) *                              &
+                                         ( sk(k,j,i)  + sk(k,j-1,i)     )     &
+                                       -     (  8.0_wp * ibit5 * adv_sca_5    &
+                                          +              ibit4 * adv_sca_3    &
+                                              ) *                             &
+                                         ( sk(k,j+1,i) + sk(k,j-2,i)    )     &
+                                      +      (           ibit5 * adv_sca_5    &
+                                             ) *                              &
+                                        ( sk(k,j+2,i) + sk(k,j-3,i)     )     &
                                              )
 
              swap_diss_y_local(k) = -ABS( v_comp ) * (                        &
-                                                  ( 10.0 * ibit5 * adv_sca_5  &
-                                               +     3.0 * ibit4 * adv_sca_3  &
-                                               +           ibit3 * adv_sca_1  &
-                                                  ) *                         &
-                                            ( sk(k,j,i)   - sk(k,j-1,i)    )  &
-                                           -      (  5.0 * ibit5 * adv_sca_5  &
-                                               +           ibit4 * adv_sca_3  &
-                                            ) *                               &
-                                            ( sk(k,j+1,i) - sk(k,j-2,i)  )    &
-                                           +      (        ibit5 * adv_sca_5  &
-                                                  ) *                         &
-                                            ( sk(k,j+2,i) - sk(k,j-3,i) )     &
+                                             ( 10.0_wp * ibit5 * adv_sca_5    &
+                                          +     3.0_wp * ibit4 * adv_sca_3    &
+                                          +              ibit3 * adv_sca_1    &
+                                             ) *                              &
+                                          ( sk(k,j,i)   - sk(k,j-1,i)    )    &
+                                      -      (  5.0_wp * ibit5 * adv_sca_5    &
+                                          +              ibit4 * adv_sca_3    &
+                                             ) *                              &
+                                          ( sk(k,j+1,i) - sk(k,j-2,i)    )    &
+                                      +      (           ibit5 * adv_sca_5    &
+                                             ) *                              &
+                                          ( sk(k,j+2,i) - sk(k,j-3,i)    )    &
                                                      )
 
@@ -2383,12 +2389,12 @@
              v_comp               = v(k,j,i) - v_gtrans
              swap_flux_y_local(k) = v_comp * (                               &
-                                    37.0 * ( sk(k,j,i)   + sk(k,j-1,i) )     &
-                                  -  8.0 * ( sk(k,j+1,i) + sk(k,j-2,i) )     &
-                                  +        ( sk(k,j+2,i) + sk(k,j-3,i) )     &
+                                    37.0_wp * ( sk(k,j,i)   + sk(k,j-1,i) )  &
+                                  -  8.0_wp * ( sk(k,j+1,i) + sk(k,j-2,i) )  &
+                                  +           ( sk(k,j+2,i) + sk(k,j-3,i) )  &
                                              ) * adv_sca_5
               swap_diss_y_local(k) = -ABS( v_comp ) * (                      &
-                                    10.0 * ( sk(k,j,i)   - sk(k,j-1,i) )     &
-                                  -  5.0 * ( sk(k,j+1,i) - sk(k,j-2,i) )     &
-                                  +          sk(k,j+2,i) - sk(k,j-3,i)       &
+                                    10.0_wp * ( sk(k,j,i)   - sk(k,j-1,i) )  &
+                                  -  5.0_wp * ( sk(k,j+1,i) - sk(k,j-2,i) )  &
+                                  +             sk(k,j+2,i) - sk(k,j-3,i)    &
                                                       ) * adv_sca_5
 
@@ -2397,8 +2403,8 @@
           DO  j = nys, nyn
 
-             flux_t(0) = 0.0
-             diss_t(0) = 0.0
-             flux_d    = 0.0
-             diss_d    = 0.0
+             flux_t(0) = 0.0_wp
+             diss_t(0) = 0.0_wp
+             flux_d    = 0.0_wp
+             diss_d    = 0.0_wp
 
              DO  k = nzb+1, nzb_max
@@ -2409,32 +2415,32 @@
 
                 u_comp    = u(k,j,i+1) - u_gtrans
-                flux_r(k) = u_comp * (                                      &
-                          ( 37.0 * ibit2 * adv_sca_5                        &
-                      +      7.0 * ibit1 * adv_sca_3                        &
-                      +           ibit0 * adv_sca_1                         &
-                          ) *                                               &
-                             ( sk(k,j,i+1) + sk(k,j,i)   )                  &
-                   -      (  8.0 * ibit2 * adv_sca_5                        &
-                       +           ibit1 * adv_sca_3                        &
-                          ) *                                               &
-                             ( sk(k,j,i+2) + sk(k,j,i-1) )                  &
-                   +      (        ibit2 * adv_sca_5                        &
-                          ) *                                               &
-                             ( sk(k,j,i+3) + sk(k,j,i-2) )                  &
+                flux_r(k) = u_comp * (                                        &
+                          ( 37.0_wp * ibit2 * adv_sca_5                       &
+                      +      7.0_wp * ibit1 * adv_sca_3                       &
+                      +               ibit0 * adv_sca_1                       &
+                          ) *                                                 &
+                             ( sk(k,j,i+1) + sk(k,j,i)   )                    &
+                   -      (  8.0_wp * ibit2 * adv_sca_5                       &
+                       +              ibit1 * adv_sca_3                       &
+                          ) *                                                 &
+                             ( sk(k,j,i+2) + sk(k,j,i-1) )                    &
+                   +      (           ibit2 * adv_sca_5                       &
+                          ) *                                                 &
+                             ( sk(k,j,i+3) + sk(k,j,i-2) )                    &
                                      )
 
-                diss_r(k) = -ABS( u_comp ) * (                              &
-                          ( 10.0 * ibit2 * adv_sca_5                        &
-                       +     3.0 * ibit1 * adv_sca_3                        &
-                       +           ibit0 * adv_sca_1                        &
-                          ) *                                               &
-                             ( sk(k,j,i+1) - sk(k,j,i)  )                   &
-                   -      (  5.0 * ibit2 * adv_sca_5                        &
-                       +           ibit1 * adv_sca_3                        &
-                          ) *                                               &
-                             ( sk(k,j,i+2) - sk(k,j,i-1) )                  &
-                   +      (        ibit2 * adv_sca_5                        &
-                          ) *                                               &
-                             ( sk(k,j,i+3) - sk(k,j,i-2) )                  &
+                diss_r(k) = -ABS( u_comp ) * (                                &
+                          ( 10.0_wp * ibit2 * adv_sca_5                       &
+                       +     3.0_wp * ibit1 * adv_sca_3                       &
+                       +              ibit0 * adv_sca_1                       &
+                          ) *                                                 &
+                             ( sk(k,j,i+1) - sk(k,j,i)   )                    &
+                   -      (  5.0_wp * ibit2 * adv_sca_5                       &
+                       +              ibit1 * adv_sca_3                       &
+                          ) *                                                 &
+                             ( sk(k,j,i+2) - sk(k,j,i-1) )                    &
+                   +      (           ibit2 * adv_sca_5                       &
+                          ) *                                                 &
+                             ( sk(k,j,i+3) - sk(k,j,i-2) )                    &
                                              )
 
@@ -2444,32 +2450,32 @@
 
                 v_comp    = v(k,j+1,i) - v_gtrans
-                flux_n(k) = v_comp * (                                      &
-                          ( 37.0 * ibit5 * adv_sca_5                        &
-                       +     7.0 * ibit4 * adv_sca_3                        &
-                       +           ibit3 * adv_sca_1                        &
-                          ) *                                               &
-                             ( sk(k,j+1,i) + sk(k,j,i)   )                  &
-                   -      (  8.0 * ibit5 * adv_sca_5                        &
-                       +           ibit4 * adv_sca_3                        &
-                          ) *                                               &
-                             ( sk(k,j+2,i) + sk(k,j-1,i) )                  &
-                   +      (        ibit5 * adv_sca_5                        &
-                          ) *                                               &
-                             ( sk(k,j+3,i) + sk(k,j-2,i) )                  &
+                flux_n(k) = v_comp * (                                        &
+                          ( 37.0_wp * ibit5 * adv_sca_5                       &
+                       +     7.0_wp * ibit4 * adv_sca_3                       &
+                       +              ibit3 * adv_sca_1                       &
+                          ) *                                                 &
+                             ( sk(k,j+1,i) + sk(k,j,i)   )                    &
+                   -      (  8.0_wp * ibit5 * adv_sca_5                       &
+                       +              ibit4 * adv_sca_3                       &
+                          ) *                                                 &
+                             ( sk(k,j+2,i) + sk(k,j-1,i) )                    &
+                   +      (           ibit5 * adv_sca_5                       &
+                          ) *                                                 &
+                             ( sk(k,j+3,i) + sk(k,j-2,i) )                    &
                                      )
 
-                diss_n(k) = -ABS( v_comp ) * (                              &
-                          ( 10.0 * ibit5 * adv_sca_5                        &
-                       +     3.0 * ibit4 * adv_sca_3                        &
-                       +           ibit3 * adv_sca_1                        &
-                          ) *                                               &
-                             ( sk(k,j+1,i) - sk(k,j,i)    )                 &
-                   -      (  5.0 * ibit5 * adv_sca_5                        &
-                       +           ibit4 * adv_sca_3                        &
-                          ) *                                               &
-                             ( sk(k,j+2,i) - sk(k,j-1,i)  )                 &
-                   +      (        ibit5 * adv_sca_5                        &
-                          ) *                                               &
-                             ( sk(k,j+3,i) - sk(k,j-2,i) )                  &
+                diss_n(k) = -ABS( v_comp ) * (                                &
+                          ( 10.0_wp * ibit5 * adv_sca_5                       &
+                       +     3.0_wp * ibit4 * adv_sca_3                       &
+                       +              ibit3 * adv_sca_1                       &
+                          ) *                                                 &
+                             ( sk(k,j+1,i) - sk(k,j,i)    )                   &
+                   -      (  5.0_wp * ibit5 * adv_sca_5                       &
+                       +              ibit4 * adv_sca_3                       &
+                          ) *                                                 &
+                             ( sk(k,j+2,i) - sk(k,j-1,i)  )                   &
+                   +      (           ibit5 * adv_sca_5                       &
+                          ) *                                                 &
+                             ( sk(k,j+3,i) - sk(k,j-2,i) )                    &
                                              )
 !
@@ -2486,31 +2492,31 @@
 
                 flux_t(k) = w(k,j,i) * (                                      &
-                           ( 37.0 * ibit8 * adv_sca_5                         &
-                        +     7.0 * ibit7 * adv_sca_3                         &
+                           ( 37.0_wp * ibit8 * adv_sca_5                      &
+                        +     7.0_wp * ibit7 * adv_sca_3                      &
                         +           ibit6 * adv_sca_1                         &
                            ) *                                                &
-                                   ( sk(k+1,j,i)  + sk(k,j,i)   )             &
-                          -      (  8.0 * ibit8 * adv_sca_5                   &
-                        +           ibit7 * adv_sca_3                         &
+                                   ( sk(k+1,j,i)  + sk(k,j,i)    )            &
+                    -      (  8.0_wp * ibit8 * adv_sca_5                      &
+                        +              ibit7 * adv_sca_3                      &
                            ) *                                                &
-                                   ( sk(k_pp,j,i) + sk(k-1,j,i) )             &
-                    +      (        ibit8 * adv_sca_5                         &
+                                   ( sk(k_pp,j,i) + sk(k-1,j,i)  )            &
+                    +      (           ibit8 * adv_sca_5                      &
                            ) *     ( sk(k_ppp,j,i)+ sk(k_mm,j,i) )            &
                                        )
 
                 diss_t(k) = -ABS( w(k,j,i) ) * (                              &
-                           ( 10.0 * ibit8 * adv_sca_5                         &
-                        +     3.0 * ibit7 * adv_sca_3                         &
-                        +           ibit6 * adv_sca_1                         &
+                           ( 10.0_wp * ibit8 * adv_sca_5                      &
+                        +     3.0_wp * ibit7 * adv_sca_3                      &
+                        +              ibit6 * adv_sca_1                      &
                            ) *                                                &
                                    ( sk(k+1,j,i)   - sk(k,j,i)    )           &
-                    -      (  5.0 * ibit8 * adv_sca_5                         &
-                        +           ibit7 * adv_sca_3                         &
+                    -      (  5.0_wp * ibit8 * adv_sca_5                      &
+                        +              ibit7 * adv_sca_3                      &
                            ) *                                                &
                                    ( sk(k_pp,j,i)  - sk(k-1,j,i)  )           &
-                    +      (        ibit8 * adv_sca_5                         &
+                    +      (           ibit8 * adv_sca_5                      &
                            ) *                                                &
                                    ( sk(k_ppp,j,i) - sk(k_mm,j,i) )           &
-                                         )
+                                               )
 !
 !--             Calculate the divergence of the velocity field. A respective
@@ -2542,22 +2548,22 @@
 
                 u_comp    = u(k,j,i+1) - u_gtrans
-                flux_r(k) = u_comp * (                                      &
-                      37.0 * ( sk(k,j,i+1) + sk(k,j,i)   )                  &
-                    -  8.0 * ( sk(k,j,i+2) + sk(k,j,i-1) )                  &
-                    +        ( sk(k,j,i+3) + sk(k,j,i-2) ) ) * adv_sca_5
-                diss_r(k) = -ABS( u_comp ) * (                              &
-                      10.0 * ( sk(k,j,i+1) - sk(k,j,i)   )                  &
-                    -  5.0 * ( sk(k,j,i+2) - sk(k,j,i-1) )                  &
-                    +        ( sk(k,j,i+3) - sk(k,j,i-2) ) ) * adv_sca_5
+                flux_r(k) = u_comp * (                                        &
+                      37.0_wp * ( sk(k,j,i+1) + sk(k,j,i)   )                 &
+                    -  8.0_wp * ( sk(k,j,i+2) + sk(k,j,i-1) )                 &
+                    +           ( sk(k,j,i+3) + sk(k,j,i-2) ) ) * adv_sca_5
+                diss_r(k) = -ABS( u_comp ) * (                                &
+                      10.0_wp * ( sk(k,j,i+1) - sk(k,j,i)   )                 &
+                    -  5.0_wp * ( sk(k,j,i+2) - sk(k,j,i-1) )                 &
+                    +           ( sk(k,j,i+3) - sk(k,j,i-2) ) ) * adv_sca_5
 
                 v_comp    = v(k,j+1,i) - v_gtrans
-                flux_n(k) = v_comp * (                                      &
-                      37.0 * ( sk(k,j+1,i) + sk(k,j,i)   )                  &
-                    -  8.0 * ( sk(k,j+2,i) + sk(k,j-1,i) )                  &
-                    +        ( sk(k,j+3,i) + sk(k,j-2,i) ) ) * adv_sca_5
-                diss_n(k) = -ABS( v_comp ) * (                              &
-                      10.0 * ( sk(k,j+1,i) - sk(k,j,i)   )                  &
-                    -  5.0 * ( sk(k,j+2,i) - sk(k,j-1,i) )                  &
-                    +        ( sk(k,j+3,i) - sk(k,j-2,i) ) ) * adv_sca_5
+                flux_n(k) = v_comp * (                                        &
+                      37.0_wp * ( sk(k,j+1,i) + sk(k,j,i)   )                 &
+                    -  8.0_wp * ( sk(k,j+2,i) + sk(k,j-1,i) )                 &
+                    +           ( sk(k,j+3,i) + sk(k,j-2,i) ) ) * adv_sca_5
+                diss_n(k) = -ABS( v_comp ) * (                                &
+                      10.0_wp * ( sk(k,j+1,i) - sk(k,j,i)   )                 &
+                    -  5.0_wp * ( sk(k,j+2,i) - sk(k,j-1,i) )                 &
+                    +           ( sk(k,j+3,i) - sk(k,j-2,i) ) ) * adv_sca_5
 !
 !--             k index has to be modified near bottom and top, else array
@@ -2573,31 +2579,31 @@
 
                 flux_t(k) = w(k,j,i) * (                                      &
-                           ( 37.0 * ibit8 * adv_sca_5                         &
-                        +     7.0 * ibit7 * adv_sca_3                         &
-                        +           ibit6 * adv_sca_1                         &
+                           ( 37.0_wp * ibit8 * adv_sca_5                      &
+                        +     7.0_wp * ibit7 * adv_sca_3                      &
+                        +              ibit6 * adv_sca_1                      &
                            ) *                                                &
-                                   ( sk(k+1,j,i)  + sk(k,j,i)   )             &
-                          -      (  8.0 * ibit8 * adv_sca_5                   &
-                        +           ibit7 * adv_sca_3                         &
+                                   ( sk(k+1,j,i)  + sk(k,j,i)     )           &
+                    -      (  8.0_wp * ibit8 * adv_sca_5                      &
+                        +              ibit7 * adv_sca_3                      &
                            ) *                                                &
-                                   ( sk(k_pp,j,i) + sk(k-1,j,i) )             &
-                    +      (        ibit8 * adv_sca_5                         &
-                           ) *     ( sk(k_ppp,j,i)+ sk(k_mm,j,i) )            &
+                                   ( sk(k_pp,j,i) + sk(k-1,j,i)   )           &
+                    +      (           ibit8 * adv_sca_5                      &
+                           ) *     ( sk(k_ppp,j,i)+ sk(k_mm,j,i)  )           &
                                        )
 
                 diss_t(k) = -ABS( w(k,j,i) ) * (                              &
-                           ( 10.0 * ibit8 * adv_sca_5                         &
-                        +     3.0 * ibit7 * adv_sca_3                         &
-                        +           ibit6 * adv_sca_1                         &
+                           ( 10.0_wp * ibit8 * adv_sca_5                      &
+                        +     3.0_wp * ibit7 * adv_sca_3                      &
+                        +              ibit6 * adv_sca_1                      &
                            ) *                                                &
                                    ( sk(k+1,j,i)   - sk(k,j,i)    )           &
-                    -      (  5.0 * ibit8 * adv_sca_5                         &
-                        +           ibit7 * adv_sca_3                         &
+                    -      (  5.0_wp * ibit8 * adv_sca_5                      &
+                        +              ibit7 * adv_sca_3                      &
                            ) *                                                &
                                    ( sk(k_pp,j,i)  - sk(k-1,j,i)  )           &
-                    +      (        ibit8 * adv_sca_5                         &
+                    +      (           ibit8 * adv_sca_5                      &
                            ) *                                                &
                                    ( sk(k_ppp,j,i) - sk(k_mm,j,i) )           &
-                                         )
+                                               )
 !
 !--             Calculate the divergence of the velocity field. A respective
@@ -2661,18 +2667,18 @@
     SUBROUTINE advec_s_ws_acc ( sk, sk_char )
 
-       USE arrays_3d,                                                          &
+       USE arrays_3d,                                                         &
            ONLY:  ddzw, tend, u, v, w
 
-       USE constants,                                                          &
+       USE constants,                                                         &
            ONLY:  adv_sca_1, adv_sca_3, adv_sca_5
 
-       USE control_parameters,                                                 &
+       USE control_parameters,                                                &
            ONLY:  intermediate_timestep_count, u_gtrans, v_gtrans
 
-       USE grid_variables,                                                     &
+       USE grid_variables,                                                    &
            ONLY:  ddx, ddy
 
-       USE indices,                                                            &
-           ONLY:  i_left, i_right, j_north, j_south, nxlg, nxrg, nyng, nysg,   &
+       USE indices,                                                           &
+           ONLY:  i_left, i_right, j_north, j_south, nxlg, nxrg, nyng, nysg,  &
                   nzb, nzb_max, nzt, wall_flags_0
 
